Loading...
Searching...
No Matches
compose.h File Reference

`compose` - n-ary function application in expressions More...

Go to the source code of this file.

## Classes

class | field_expr_v2_nonlinear_node_nary< NaryFunctor, Exprs >
struct | is_field_expr_v2_nonlinear_arg< field_expr_v2_nonlinear_node_nary< F, Exprs... > >
struct | has_field_lazy_interface< field_expr_v2_nonlinear_node_nary< F, Exprs... > >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Functions

details::field_expr_v2_nonlinear_node_nary< typename details::function_traits< Function >::functor_type, typename details::field_expr_v2_nonlinear_terminal_wrapper_traits< Exprs >::type... > ::type | compose (const Function &f, const Exprs &... exprs)
| see the `compose` page for the full documentation

## Detailed Description

`compose` - n-ary function application in expressions

Definition in file compose.h.